Skip to main content
GET
/
v1
/
provenance
/
{dataset_id}
Get Provenance
curl --request GET \
  --url https://api.example.com/v1/provenance/{dataset_id}
import requests

url = "https://api.example.com/v1/provenance/{dataset_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/provenance/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "<string>",
      "simulator": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "simulator_version": "<string>",
      "generation_params": {},
      "random_seeds": [
        123
      ],
      "content_hash": "<string>",
      "source_repo": "<string>",
      "source_commit": "<string>",
      "host_info": {}
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Path Parameters

dataset_id
string<uuid>
required

Response

Successful Response

records
ProvenanceResponse · object[]
required